
# video driver to use gpu, wayland, and vulkan
vo=gpu-next
gpu-api=vulkan
gpu-context=waylandvk

# hwdecoder
hwdec=auto-copy

# reduce judder
video-sync=display-resample

# wayland gpu context
gpu-context=waylandvk

# default scale and image rendering
scale=ewa_lanczossharp
cscale=ewa_lanczossoft
dscale=mitchell
dither-depth=auto
deband=yes

# subtitles and language
alang=jpn,jp,ja,eng,en
slang=eng,en,enUS,*

# always display a gui with OSC
player-operation-mode=pseudo-gui
osc=yes

# example of using credentials for stream
# mpv --ytdl-raw-options="username=username,password=password" "url"

# extensions
#[extension.webm]
#loop-file=inf

[extension.gif]
loop-file=inf

[extension.png]
pause

[extension.jpg]
pause

